/*===========================================================================*/
/*   (Module/load.scm)                                                       */
/*   Bigloo (2.6b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 15 12:14:36 CET 2003        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc-2.95 -lib-dir /users/serrano/prgm/project/bigloo/lib/2.6b -unsafev -no-hello -O2 -rm -unsafe -s -indent Module/load.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_ccompz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_producerz00;
   obj_t BgL_consumerz00;
   obj_t BgL_finaliza7erza7;
} *BgL_ccompz00_bglt;

typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_effectz00;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_effectz00;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_effectz00;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_feffectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_readz00;
   obj_t BgL_writez00;
} *BgL_feffectz00_bglt;


BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzmodule_loadz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzread_loadz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
static obj_t BGl_methodzd2initzd2zzmodule_loadz00();
extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t open_input_string(obj_t);
extern BgL_ccompz00_bglt BGl_makezd2ccompzd2zzmodule_modulez00(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t);
extern obj_t BGl_za2accesszd2tableza2zd2zzengine_paramz00;
static obj_t BGl_zc3anonymousza31592ze3z83zzmodule_loadz00(obj_t, obj_t, obj_t);
static obj_t BGl_zc3anonymousza31593ze3z83zzmodule_loadz00(obj_t);
static obj_t BGl_loadzd2parserzd2zzmodule_loadz00(obj_t, obj_t);
static obj_t BGl__loadzd2producerzd2zzmodule_loadz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
extern obj_t BGl_loadzd2modulezd2zzread_loadz00(obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zzmodule_loadz00();
static obj_t BGl_importedzd2moduleszd2initz00zzmodule_loadz00();
static obj_t BGl_loadzd2producerzd2zzmodule_loadz00(obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzmodule_loadz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_makezd2loadzd2compilerz00zzmodule_loadz00();
static obj_t BGl_libraryzd2moduleszd2initz00zzmodule_loadz00();
static obj_t BGl__makezd2loadzd2compilerz00zzmodule_loadz00(obj_t);
static obj_t __cnst[ 2 ] ;


DEFINE_EXPORT_PROCEDURE( BGl_makezd2loadzd2compilerzd2envzd2zzmodule_loadz00, BgL_bgl__makeza7d2loadza7d2compilerza700za7za7module_loadza7001836z00, BGl__makezd2loadzd2compilerz00zzmodule_loadz00, 0L, 0 );
DEFINE_STRING( BGl_string1809z00zzmodule_loadz00, BgL_bgl_string1809za700za7za7module_loadza7001837z00, "void load ", 10 );
DEFINE_STRING( BGl_string1808z00zzmodule_loadz00, BgL_bgl_string1808za700za7za7module_loadza7001838z00, "Can't load module", 17 );
DEFINE_STRING( BGl_string1807z00zzmodule_loadz00, BgL_bgl_string1807za700za7za7module_loadza7001839z00, "load", 4 );
DEFINE_STRING( BGl_string1806z00zzmodule_loadz00, BgL_bgl_string1806za700za7za7module_loadza7001840z00, "Illegal load clause", 19 );
DEFINE_STRING( BGl_string1805z00zzmodule_loadz00, BgL_bgl_string1805za700za7za7module_loadza7001841z00, "Illegal `load' clause", 21 );
DEFINE_STRING( BGl_string1804z00zzmodule_loadz00, BgL_bgl_string1804za700za7za7module_loadza7001842z00, "Parse error", 11 );
DEFINE_STATIC_PROCEDURE( BGl_loadzd2producerzd2envz00zzmodule_loadz00, BgL_bgl__loadza7d2producerza7d2za7za7module_loadza7001843za7, BGl__loadzd2producerzd2zzmodule_loadz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc1802z00zzmodule_loadz00, BgL_bgl_za7c3anonymousza7a31593za7e3za783za7za7module_loadza7001844za7, BGl_zc3anonymousza31593ze3z83zzmodule_loadz00, 0L, 0 );
DEFINE_STATIC_PROCEDURE( BGl_proc1803z00zzmodule_loadz00, BgL_bgl_za7c3anonymousza7a31592za7e3za783za7za7module_loadza7001845za7, BGl_zc3anonymousza31592ze3z83zzmodule_loadz00, 0L, 2 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzmodule_loadz00(long BgL_checksumz00_499, char * BgL_fromz00_500)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzmodule_loadz00))
{ 
BGl_requirezd2initializa7ationz75zzmodule_loadz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzmodule_loadz00(); 
BGl_cnstzd2initzd2zzmodule_loadz00(); 
BGl_importedzd2moduleszd2initz00zzmodule_loadz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzmodule_loadz00()
{ AN_OBJECT;
{ /* ./Module/load.scm 15 */
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "module_load"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "module_load"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzmodule_loadz00()
{ AN_OBJECT;
{ /* ./Module/load.scm 15 */
{ /* ./Module/load.scm 15 */
obj_t BgL_cportz00_490;
BgL_cportz00_490 = 
open_input_string(BGl_string1809z00zzmodule_loadz00); 
{ 
long BgL_iz00_491;
BgL_iz00_491 = ((long)1); 
BgL_loopz00_492:
{ /* ./Module/load.scm 15 */
bool_t BgL_test1812z00_493;
BgL_test1812z00_493 = 
(BgL_iz00_491==((long)-1)); 
if(BgL_test1812z00_493)
{ /* ./Module/load.scm 15 */
return BUNSPEC;}  else 
{ /* ./Module/load.scm 15 */
{ /* ./Module/load.scm 15 */
obj_t BgL_arg1815z00_494;
{ /* ./Module/load.scm 15 */
obj_t BgL_list1818z00_495;
BgL_list1818z00_495 = 
MAKE_PAIR(BgL_cportz00_490, BNIL); 
BgL_arg1815z00_494 = 
BGl_readz00zz__readerz00(BgL_list1818z00_495); } 
{ /* ./Module/load.scm 15 */
int BgL_auxz00_514;
BgL_auxz00_514 = 
(int)(BgL_iz00_491); 
CNST_TABLE_SET(BgL_auxz00_514, BgL_arg1815z00_494); } } 
{ /* ./Module/load.scm 15 */
int BgL_auxz00_496;
{ /* ./Module/load.scm 15 */
long BgL_auxz00_517;
BgL_auxz00_517 = 
(BgL_iz00_491-((long)1)); 
BgL_auxz00_496 = 
(int)(BgL_auxz00_517); } 
{ 
long BgL_iz00_520;
BgL_iz00_520 = 
(long)(BgL_auxz00_496); 
BgL_iz00_491 = BgL_iz00_520; 
goto BgL_loopz00_492;} } } } } } } 
}



/* make-load-compiler */
BGL_EXPORTED_DEF obj_t BGl_makezd2loadzd2compilerz00zzmodule_loadz00()
{ AN_OBJECT;
{ /* ./Module/load.scm 30 */
{ /* ./Module/load.scm 31 */
obj_t BgL_arg1586z00_286;obj_t BgL_arg1587z00_287;
BgL_arg1586z00_286 = 
CNST_TABLE_REF(((long)0)); 
BgL_arg1587z00_287 = BGl_loadzd2producerzd2envz00zzmodule_loadz00; 
{ /* ./Module/load.scm 31 */
BgL_ccompz00_bglt BgL_auxz00_523;
BgL_auxz00_523 = 
BGl_makezd2ccompzd2zzmodule_modulez00(BgL_arg1586z00_286, BgL_arg1587z00_287, BGl_proc1803z00zzmodule_loadz00, BGl_proc1802z00zzmodule_loadz00); 
return 
(obj_t)(BgL_auxz00_523);} } } 
}



/* _make-load-compiler */
obj_t BGl__makezd2loadzd2compilerz00zzmodule_loadz00(obj_t BgL_envz00_483)
{ AN_OBJECT;
{ /* ./Module/load.scm 30 */
return 
BGl_makezd2loadzd2compilerz00zzmodule_loadz00();} 
}



/* <anonymous:1593> */
obj_t BGl_zc3anonymousza31593ze3z83zzmodule_loadz00(obj_t BgL_envz00_484)
{ AN_OBJECT;
{ /* ./Module/module.scm 50 */
{ 

return 
CNST_TABLE_REF(((long)1));} } 
}



/* <anonymous:1592> */
obj_t BGl_zc3anonymousza31592ze3z83zzmodule_loadz00(obj_t BgL_envz00_485, obj_t BgL_mz00_486, obj_t BgL_cz00_487)
{ AN_OBJECT;
{ /* ./Module/module.scm 48 */
return BNIL;} 
}



/* load-producer */
obj_t BGl_loadzd2producerzd2zzmodule_loadz00(obj_t BgL_clausez00_1)
{ AN_OBJECT;
{ /* ./Module/load.scm 37 */
{ 
obj_t BgL_protosz00_296;
{ /* ./Module/load.scm 38 */
bool_t BgL_test1594z00_300;
BgL_test1594z00_300 = 
PAIRP(BgL_clausez00_1); 
if(BgL_test1594z00_300)
{ /* ./Module/load.scm 38 */
obj_t BgL_arg1596z00_301;
BgL_arg1596z00_301 = 
CDR(BgL_clausez00_1); 
{ /* ./Module/load.scm 38 */
bool_t BgL_auxz00_531;
BgL_protosz00_296 = BgL_arg1596z00_301; 
{ 
obj_t BgL_l1583z00_302;
BgL_l1583z00_302 = BgL_protosz00_296; 
BgL_forzd2each1584zd2_303:
{ /* ./Module/load.scm 40 */
bool_t BgL_test1602z00_304;
BgL_test1602z00_304 = 
PAIRP(BgL_l1583z00_302); 
if(BgL_test1602z00_304)
{ /* ./Module/load.scm 40 */
{ /* ./Module/load.scm 40 */
obj_t BgL_protoz00_305;
BgL_protoz00_305 = 
CAR(BgL_l1583z00_302); 
BGl_loadzd2parserzd2zzmodule_loadz00(BgL_protoz00_305, BgL_clausez00_1); } 
{ /* ./Module/load.scm 40 */
obj_t BgL_arg1606z00_306;
BgL_arg1606z00_306 = 
CDR(BgL_l1583z00_302); 
{ 
obj_t BgL_l1583z00_537;
BgL_l1583z00_537 = BgL_arg1606z00_306; 
BgL_l1583z00_302 = BgL_l1583z00_537; 
goto BgL_forzd2each1584zd2_303;} } }  else 
{ /* ./Module/load.scm 40 */
BgL_auxz00_531 = ((bool_t)1); } } } 
return 
BBOOL(BgL_auxz00_531);} }  else 
{ /* ./Module/load.scm 38 */
{ /* ./Module/load.scm 42 */
obj_t BgL_list1611z00_307;
BgL_list1611z00_307 = 
MAKE_PAIR(BNIL, BNIL); 
return 
BGl_userzd2errorzd2zztools_errorz00(BGl_string1804z00zzmodule_loadz00, BGl_string1805z00zzmodule_loadz00, BgL_clausez00_1, BgL_list1611z00_307);} } } } } 
}



/* _load-producer */
obj_t BGl__loadzd2producerzd2zzmodule_loadz00(obj_t BgL_envz00_488, obj_t BgL_clausez00_489)
{ AN_OBJECT;
{ /* ./Module/load.scm 37 */
return 
BGl_loadzd2producerzd2zzmodule_loadz00(BgL_clausez00_489);} 
}



/* load-parser */
obj_t BGl_loadzd2parserzd2zzmodule_loadz00(obj_t BgL_protoz00_2, obj_t BgL_clausez00_3)
{ AN_OBJECT;
{ /* ./Module/load.scm 50 */
{ 
obj_t BgL_modulez00_308;obj_t BgL_filez00_309;obj_t BgL_filesz00_310;
{ /* ./Module/load.scm 51 */
bool_t BgL_test1613z00_315;
BgL_test1613z00_315 = 
PAIRP(BgL_protoz00_2); 
if(BgL_test1613z00_315)
{ /* ./Module/load.scm 51 */
obj_t BgL_carzd2119zd2_316;obj_t BgL_cdrzd2120zd2_317;
BgL_carzd2119zd2_316 = 
CAR(BgL_protoz00_2); 
BgL_cdrzd2120zd2_317 = 
CDR(BgL_protoz00_2); 
{ /* ./Module/load.scm 51 */
bool_t BgL_test1614z00_318;
BgL_test1614z00_318 = 
SYMBOLP(BgL_carzd2119zd2_316); 
if(BgL_test1614z00_318)
{ /* ./Module/load.scm 51 */
bool_t BgL_test1615z00_319;
BgL_test1615z00_319 = 
PAIRP(BgL_cdrzd2120zd2_317); 
if(BgL_test1615z00_319)
{ /* ./Module/load.scm 51 */
obj_t BgL_carzd2125zd2_320;
BgL_carzd2125zd2_320 = 
CAR(BgL_cdrzd2120zd2_317); 
{ /* ./Module/load.scm 51 */
bool_t BgL_test1616z00_321;
BgL_test1616z00_321 = 
STRINGP(BgL_carzd2125zd2_320); 
if(BgL_test1616z00_321)
{ /* ./Module/load.scm 51 */
obj_t BgL_arg1618z00_322;
BgL_arg1618z00_322 = 
CDR(BgL_cdrzd2120zd2_317); 
BgL_modulez00_308 = BgL_carzd2119zd2_316; 
BgL_filez00_309 = BgL_carzd2125zd2_320; 
BgL_filesz00_310 = BgL_arg1618z00_322; 
{ 
obj_t BgL_fz00_327;
BgL_fz00_327 = BgL_filesz00_310; 
BgL_loopz00_328:
{ /* ./Module/load.scm 55 */
bool_t BgL_test1645z00_329;
BgL_test1645z00_329 = 
NULLP(BgL_fz00_327); 
if(BgL_test1645z00_329)
{ /* ./Module/load.scm 55 */
{ /* ./Module/load.scm 56 */
obj_t BgL_arg1648z00_330;
BgL_arg1648z00_330 = 
MAKE_PAIR(BgL_filez00_309, BgL_filesz00_310); 
return 
BGl_loadzd2modulezd2zzread_loadz00(BgL_modulez00_308, BgL_arg1648z00_330);} }  else 
{ /* ./Module/load.scm 57 */
bool_t BgL_test1651z00_331;
{ /* ./Module/load.scm 57 */
obj_t BgL_auxz00_558;
BgL_auxz00_558 = 
CAR(BgL_fz00_327); 
BgL_test1651z00_331 = 
STRINGP(BgL_auxz00_558); } 
if(BgL_test1651z00_331)
{ /* ./Module/load.scm 57 */
{ /* ./Module/load.scm 60 */
obj_t BgL_arg1654z00_332;
BgL_arg1654z00_332 = 
CDR(BgL_fz00_327); 
{ 
obj_t BgL_fz00_563;
BgL_fz00_563 = BgL_arg1654z00_332; 
BgL_fz00_327 = BgL_fz00_563; 
goto BgL_loopz00_328;} } }  else 
{ /* ./Module/load.scm 57 */
{ /* ./Module/load.scm 58 */
obj_t BgL_list1658z00_333;
BgL_list1658z00_333 = 
MAKE_PAIR(BNIL, BNIL); 
return 
BGl_userzd2errorzd2zztools_errorz00(BGl_string1804z00zzmodule_loadz00, BGl_string1806z00zzmodule_loadz00, BgL_clausez00_3, BgL_list1658z00_333);} } } } } }  else 
{ /* ./Module/load.scm 51 */
bool_t BgL_test1621z00_323;
BgL_test1621z00_323 = 
SYMBOLP(BgL_protoz00_2); 
if(BgL_test1621z00_323)
{ /* ./Module/load.scm 51 */
BgL_tagzd2110zd2_312:
{ /* ./Module/load.scm 62 */
obj_t BgL_bz00_335;
BgL_bz00_335 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_protoz00_2, BGl_za2accesszd2tableza2zd2zzengine_paramz00); 
if(
CBOOL(BgL_bz00_335))
{ /* ./Module/load.scm 65 */
obj_t BgL_arg1666z00_336;
BgL_arg1666z00_336 = 
CDR(BgL_bz00_335); 
return 
BGl_loadzd2modulezd2zzread_loadz00(BgL_protoz00_2, BgL_arg1666z00_336);}  else 
{ /* ./Module/load.scm 63 */
return 
BGl_userzd2errorzd2zztools_errorz00(BGl_string1807z00zzmodule_loadz00, BGl_string1808z00zzmodule_loadz00, BgL_protoz00_2, BNIL);} } }  else 
{ /* ./Module/load.scm 51 */
BgL_tagzd2111zd2_313:
{ /* ./Module/load.scm 67 */
obj_t BgL_list1673z00_338;
BgL_list1673z00_338 = 
MAKE_PAIR(BNIL, BNIL); 
return 
BGl_userzd2errorzd2zztools_errorz00(BGl_string1804z00zzmodule_loadz00, BGl_string1806z00zzmodule_loadz00, BgL_clausez00_3, BgL_list1673z00_338);} } } } }  else 
{ /* ./Module/load.scm 51 */
bool_t BgL_test1627z00_324;
BgL_test1627z00_324 = 
SYMBOLP(BgL_protoz00_2); 
if(BgL_test1627z00_324)
{ /* ./Module/load.scm 51 */
goto BgL_tagzd2110zd2_312;}  else 
{ /* ./Module/load.scm 51 */
goto BgL_tagzd2111zd2_313;} } }  else 
{ /* ./Module/load.scm 51 */
bool_t BgL_test1632z00_325;
BgL_test1632z00_325 = 
SYMBOLP(BgL_protoz00_2); 
if(BgL_test1632z00_325)
{ /* ./Module/load.scm 51 */
goto BgL_tagzd2110zd2_312;}  else 
{ /* ./Module/load.scm 51 */
goto BgL_tagzd2111zd2_313;} } } }  else 
{ /* ./Module/load.scm 51 */
bool_t BgL_test1639z00_326;
BgL_test1639z00_326 = 
SYMBOLP(BgL_protoz00_2); 
if(BgL_test1639z00_326)
{ /* ./Module/load.scm 51 */
goto BgL_tagzd2110zd2_312;}  else 
{ /* ./Module/load.scm 51 */
goto BgL_tagzd2111zd2_313;} } } } } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzmodule_loadz00()
{ AN_OBJECT;
{ /* ./Module/load.scm 15 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzmodule_loadz00()
{ AN_OBJECT;
{ /* ./Module/load.scm 15 */
BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long)8699), "module_load"); 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)14260), "module_load"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)25566), "module_load"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19090), "module_load"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)44246), "module_load"); 
BGl_modulezd2initializa7ationz75zzast_envz00(((long)62031), "module_load"); 
BGl_modulezd2initializa7ationz75zztype_envz00(((long)25186), "module_load"); 
BGl_modulezd2initializa7ationz75zztools_speekz00(((long)23537), "module_load"); 
return 
BGl_modulezd2initializa7ationz75zzread_loadz00(((long)11987), "module_load");} 
}

